<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Veranstalter\DozentenInfo\NewDozent\HandleDozentInsert;

class HandleDozentInsertController extends \Kufer\KuferTools\Basis\DozentenInfo\NewDozent\HandleDozentInsert\HandleDozentInsertController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new HandleDozentInsertUseCase(
      $this->getRequestObj()
    );
  }

  protected function getToolSectionId()
  {
    return HandleDozentInsertUseCase::getToolSectionId();
  }

  protected function getUser()
  {
    return HandleDozentInsertUseCase::getUser();
  }

  protected function getDozentenDetailsToolId(): int
  {
    return 55;
  }
}